.left margin
.if hlp.i-1;2 HEADERS
.br
.endif hlp
.ifnot hlp
.hl 1 Page Headers
.endif hlp
The page header consists of a title, and subtitle printed at the top of each
page, as well as a page number.  This title is printed on the first line
below the top margin, and the subtitle on the next line.  The page number
will normally appear right justified on the same line with the title.
The page number is normally preceeded by the word "Page".
The title and subtitle are normally left justified.  The actual location
of title,subtitle, and page number are controlled by the .LAYOUT command.
In addition to the following commands the .NUMBER PAGE, .DISPLAY NUMBER
 .NO NUMBER, and .NO NUMBER CHAPTER commands control the page header.
.lm+5.SKIP 2
.if hlp.i-6;3 TITLE
.br
.endif hlp
.text.I-5;  .TITLE  [text] 
.i-5; .T [text] 
.s.index  TITLE  
takes the remaining text as the title and outputs it 
on every page at line 0. 
 
The title is normally left justified with respect to the permanent left 
margin.  See the .PAGE SIZE command. 
The permanent margins allow different margins for the headers than for the 
text. 
Titles and subtitles may not contain escape flags.
In addition tabs are converted to single spaces.
Some of these restrictions may be removed in future releases.
Titles are also produced by these commands: .FIRST TITLE, .CHAPTER, or .APPENDIX.
.s.text.i-5; .NO TITLE 
.S.X NO TITLE 
prevents printing either the title or subtitle at the top of the page. 
The title print is reinstated by the .TITLE command. 
This command also prevents titles from being produced by the .CHAPTER
command.  The chapter title will still be printed after the chapter number
, but it will not appear as part of the page header.
.if hlp.i-6;3 FIRST__TITLE
.br
.endif hlp
.s.text.i-5; .FIRST TITLE  [text] 
.i-5; .FT  [text] 
.s.index  FIRST TITLE  
Same as  TITLE , but used to specify the title to be printed on 
the first page of the document.  This command must precede all text 
in the source file.  Use of the  FIRST TITLE  command is the only 
way to print a title line on the first page of the document. 
If the page number appears on the same line as the title
it will also not appear on the first page unless a .FIRST TITLE command
is issued.
 If the title is blank only the page number will be printed. 
If the page number is at the bottom of the page it will be printed
on the first page whether or not a .FIRST TITLE command is used.
This command is equivalent to: 
.i+5; .HEADER .TITLE [ text ] 
.if hlp.i-6;3 SUBTITLE
.br
.endif hlp
.s.text.i-5; .SUBTITLE  [text] 
.i-5; .ST [text] 
.s.index  SUBTITLE  
takes the remaining text as the subtitle and outputs it on every 
page.  It appears directly under the title. 
The subtitle is aligned on the same margin as the title. 
The subtitle is not printed if the .NO TITLE command is in force. 
.if hlp.i-6;3 LAYOUT
.br
.endif hlp
.s.text.i -5; .LAYOUT code [,spacing]
.i-5; .LO [code] [,spacing]
.s.x LAYOUT
changes the layout of the title and page numbers on the page.
This command doesn't have any affect on the current page.  The next page
will have the new layout.  If you want to change only the first page of each
chapter use the .CHAPTER LAYOUT command.
The spacing is the number of blank lines between the last line on
the page and the page number.  If the code is 0 then the spacing is the
number of blank lines-1 between the bottom of the text and the bottom of
the page.
Pages with different layouts but the same spacing will have the
same number of lines on a page regardless of whether the page number is
at the top or bottom of the page.
If the spacing is omitted it is assumed to be 2 except for code 0.
For code 0 it is assumed to be -1 if not specified.
.bb
Normally if layout 0 is used the first page of a document will not have
a page number, unless .FIRST TITLE or .HEADER commands are used at the
beginning.  However all other layouts will number every page.  This is
consistent with DSR usage.
.eb
The codes are:
.s
.lm +10
.i-10; ^&CODE	PAGE LAYOUT\&
.i-10; 0	Title flush left, page number flush right
.i-10; 1	Title centered
,Page number centered at bottom
.i-10; 2	Title flush left odd page
,Title flush right even page
,Page number centered at bottom
.i-10; 3	Title flush left, Page number centered at bottom
.i-10; 4	Title top left, Page bottom right
.i-10; 5	Title top center, page number bottom right
.i-10; 6	Title top center, page number bottom
right for odd numbers, left for even
.i-10; 7	Title top, page bottom, both
right for odd numbers, left for even
.lm-10
The default is code 0.
.if hlp.i-6;3 CHAPTER__LAYOUT
.br
.endif hlp
.s.text.i-5; .CHAPTER LAYOUT code [,spacing]
.i-5; .CHLO [code] [,spacing]
.s.x CHAPTER LAYOUT
This command changes the layout for the first page of a chapter or appendix
without having any effect on any other pages.  The parameters are specified
in the same manner as for the .LAYOUT command.
If this command is not used, or used with no parameters, the layout will be
the same all pages of a document.
.eb
.if hlp.i-6;3 HEADER
.br
.endif hlp
.s.text.i-5; .HEADER 
.i-5; .HD
.s.X      HEADER 
causes the page header (title, subtitle, and page number) to be printed. 
.s.text.I-5;  .NO HEADER  
.i-5 ; .NHD  
.s.index  NO HEADER  
causes the page header (title, subtitle, and page number) to be 
omitted.  If a layout other than 0 is used, then the page number
is still printed at the bottom of the page and only the title and subtitle
are suppressed.
The header lines are completely omitted, so that text begins at the 
top margin where the header would normally start. 
 The first page of output from RNO is formatted as if the 
  .NO HEADER command had been issued, while subsequent pages are formatted 
as if the .HEADER command had been issued.  This may be changed by issuing 
the .FIRST TITLE command before any text on the first page.
.s.text.I-5;  .HEADER PAGE 
.s.X HEADER PAGE 
sets RUNOFF to print the word PAGE in front of the page number.  This 
is the initial or default option. 
.s.text.i-5; .HEADER NO PAGE 
.s.X HEADER NO PAGE 
set RUNOFF to print only the page number without the word PAGE in front of 
it. 
This essentially supresses the pre-header on the page number.
.ifnot hlp
.s.text.i-5; .HEADER UPPER
.X HEADER UPPER
.I-5; .HEADER MIXED 
.X HEADER MIXED 
.I-5; .HEADER LOWER 
.s.X HEADER LOWER 
These 3 commands enable the header and determine the format of the
pre-header.  UPPER,MIXED or LOWER cause the word "PAGE" to be printed
before the page number in all upper case, capitalized, or all lower case
respectively.
.end text
.note
The .DISPLAY NUMBER command should be used rather than .HEADER UPPER
 .HEADER LOWER, .HEADER MIXED, .HEADER NO PAGE, and .HEADER PAGE.
It is a more versatile command and it can perform all the same functions
as these other HEADER commands.
.end note
.endif hlp
.if hlp.i-6;3 HEADER__SPACING
.endif hlp
.s.text.i-5; .HEADER SPACING [n] 
.s.X HEADER SPACING 
sets the spacing between the title and the first line of text.  The value 
n is the number of lines to skip.  If n is not specified then the current 
spacing per line of text is used as the default.  The initial setting is 3. 
The minimum value for n is 1 and if 0 is specified the value of 1 is assumed. 
.end text
